콘텐츠로 건너뛰기

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.

OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/shop-builder/
https://store.xsolla.com/api/
작업

개인 맞춤형 카탈로그

이 API를 사용하여 사용자 특성에 대한 규칙을 지정할 수 있습니다. 사용자가 구체적인 규칙에 대한 모든 조건을 충족하면 개인 맞춤형 아이템이 표시됩니다.

개인 맞춤형 프로모션에 대한 내용은 프로모션 섹션을 참조하십시오.

구매 전에 특성을 전달하려면 엑솔라 로그인 API를 사용하거나 페이 스테이션 API를 사용하여 토큰을 생성하는 동안 user.attributes 특성으로 특성을 전달할 수 있습니다.

작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업

카탈로그

이 API를 사용하면 모든 종류의 판매할 수 있는 아이템 또는 특정 아이템을 가져올 수 있습니다.

작업
작업
작업
작업
작업
작업

쿠폰

이 API를 사용하여 쿠폰을 관리할 수 있습니다.

작업

프로모션 코드

이 API를 사용하여 프로모션 코드를 관리할 수 있습니다.

작업

고유 카탈로그 혜택

이 API를 사용하여 고유 카탈로그 혜택을 관리할 수 있습니다.

작업

할인

이 API를 사용하여 할인 프로모션을 관리할 수 있습니다.

작업

보너스

이 API를 사용하여 보너스 프로모션을 관리할 수 있습니다.

작업
작업
작업
작업
작업
작업
작업
작업
작업
작업

현재 사용자의 혜택 체인 가져오기Client-side

요청

현재 사용자의 혜택 체인을 가져옵니다.

참고

모든 프로젝트에서 단일 응답에 반환할 수 있는 아이템 수는 제한되어 있습니다. 기본값 및 최댓값은 응답당 30개 아이템입니다. 더 많은 데이터를 얻으려면 페이지 설정에서 limitoffset 쿼리 매개 변수를 사용해 주세요.
보안
XsollaLoginUserJWT
경로
project_idinteger필수

프로젝트 ID입니다. 이 매개 변수는 관리자 페이지의 프로젝트 이름 옆에서 확인할 수 있습니다.

예제: 44056
쿼리
limitinteger>= 1

페이지 요소 개수 제한입니다.

예제: limit=50
offsetinteger>= 0

목록이 생성된 요소의 개수입니다(개수는 0부터 시작함).

예제: offset=0
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/shop-builder/v2/project/44056/user/offer_chain?limit=50&offset=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

응답

혜택 체인 목록을 성공적으로 수신했습니다.

본문application/json
has_moreboolean

더 많은 페이지를 사용할 수 있는지 여부를 나타냅니다.

예제: true
itemsArray of objects(client-offer-chain-model)
total_items_countinteger

사용 가능한 혜택 체인의 총 개수입니다.

예제: 10
응답
application/json
{ "has_more": false, "items": [ {}, {}, {} ], "total_items_count": 3 }

ID로 현재 사용자의 혜택 체인 가져오기Client-side

요청

혜택 체인의 ID로 현재 사용자의 혜택 체인을 가져옵니다.

보안
XsollaLoginUserJWT
경로
project_idinteger필수

프로젝트 ID입니다. 이 매개 변수는 관리자 페이지의 프로젝트 이름 옆에서 확인할 수 있습니다.

예제: 44056
offer_chain_idinteger필수

혜택 체인 ID입니다.

예제: 101
curl -i -X GET \
  https://xsolla.redocly.app/_mock/ko/api/shop-builder/v2/project/44056/user/offer_chain/101 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

응답

사용자의 혜택 체인 검색을 성공적으로 완료했습니다.

본문application/json
date_endstring or null(date-time)(offer_chain_date_end)

혜택 체인이 종료되는 날짜입니다. null일 수 있습니다. date_end이(가) null인 경우 혜택 체인에는 기간 제한이 없습니다.

예제: "2020-04-15T18:16:00+05:00"
date_startstring(date-time)(offer_chain_date_start)

혜택 체인이 시작되는 날짜입니다.

예제: "2020-04-15T18:16:00+05:00"
descriptionstring or null

혜택 체인의 설명입니다.

예제: "Major weekly quest"
idinteger

혜택 체인 ID입니다.

예제: 9
namestring

혜택 체인의 이름입니다.

예제: "Weekly quest"
next_step_numberinteger or null

다음 혜택 체인의 단계 번호입니다. 혜택 체인이 완료된 경우 null입니다.

예제: 1
orderinteger(order)

배열 순서를 정의합니다.

예제: 1
recurrent_scheduleobject or null(offer_chain_recurrent_schedule_client_side)

혜택 체인의 재설정 기간입니다.

stepsArray of objects(client-offer-chain-step-model)
응답
application/json
{ "date_end": "2025-04-25T18:16:00+05:00", "date_start": "2010-04-15T18:16:00+05:00", "description": null, "id": 4, "name": "Offer chain with bundles", "next_step_number": 1, "order": 1, "recurrent_schedule": null, "steps": [ {}, {} ] }

요청

현재 사용자의 혜택 체인 단계 진행을 완료하고 관련 리워드를 지급합니다.

알림

혜택 체인의 무료 단계에서만 이 호출을 사용해 주세요. 실제 통화로 결제해야 하는 단계의 경우, 유료 오퍼 체인 단계 주문 생성 호출을 대신 사용해 주세요.
보안
XsollaLoginUserJWT
경로
project_idinteger필수

프로젝트 ID입니다. 이 매개 변수는 관리자 페이지의 프로젝트 이름 옆에서 확인할 수 있습니다.

예제: 44056
offer_chain_idinteger필수

혜택 체인 ID입니다.

예제: 101
step_numberinteger필수

혜택 체인 단계 번호입니다.

예제: 1
curl -i -X POST \
  https://xsolla.redocly.app/_mock/ko/api/shop-builder/v2/project/44056/user/offer_chain/101/step/number/1/claim \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

응답

무료 단계가 성공적으로 완료되어 리워드가 지급되었습니다.

본문application/json
order_idinteger

주문 ID입니다.

응답
application/json
{ "order_id": 641 }
작업
작업
작업
작업
작업